* {
  box-sizing: border-box;
  padding: 0;
  margin: 0
}

body {
  background-color: white;
  color: black;
  font-family: "Merriweather", sans-serif;
  overflow-x: hidden;
  position: relative;
}

.cuadro-mujer {
  width: 100%;
  position: relative;
  top: 0;
  left: 0;
  margin-bottom: 10px;
}

.cuadro-mujer-grande {
  display: none;
}

h1 {
  font-family: "Big Shoulders", sans-serif;
  font-size: 55px;
  font-weight: 1000;
  line-height: 0.9;
  width: 75%;
  padding: 15px;
}

header p {
  font-family: "Outfit", sans-serif;
  font-size: 18px;
  font-weight: 200;
  width: 95%;
  padding: 15px;
  line-height: 1.5;
}

.header-home {
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100%;
  box-sizing: border-box;
  background-color: white;
  color: black;
  padding: 0;
}

.container-boton-ol {
  display: flex;
  align-items: center;
  padding: 0;
  width: fit-content;
}

.boton-our-location {
  display: flex;
}

.our-location {
  display: flex;
  text-decoration: none;
  background-color: black;
  color: white;
  align-items: center;
  width: fit-content;
  margin-left: 15px;
  margin-top: 10px;
  padding-left: 15px;
}

.our-location-p {
  margin: 0;
  font-size: 20px;
  font-weight: 500;
  font-family: "Big Shoulders", sans-serif;
  white-space: nowrap;
  letter-spacing: 4px;
}

.flecha-der {
  text-decoration: none;
  background-color: #D5966C;
  color: white;
  padding: 22px 25px;
  align-items: center;
  justify-content: center;
  object-fit: contain;
}

.gallery-section {
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100%;
  box-sizing: border-box;
  background-color: white;
  color: black;
}

.galeria1 {
  width: 100%;
  position: relative;
  padding: 95px 15px 5px 15px;
}

.galeria1-pc {
  display: none;
}

h2 {
  font-family: "Big Shoulders", sans-serif;
  font-size: 50px;
  font-weight: 900;
  line-height: 0.9;
  width: 90%;
  padding: 15px;
  text-align: left;
  box-sizing: border-box;
  text-align: left;
}

.span-h2 {
  display: block;
}

.gallery-section .container-h2-p p  {
  font-family: "Outfit", sans-serif;
  font-size: 18px;
  font-weight: 200;
  width: 95%;
  padding: 15px;
  line-height: 1.5;
}

.cuadro {
  width: 100%;
  position: relative;
  padding: 15px 15px 5px 15px;
}

.cuadro-banco {
    display: none;
  }

.galeria2 {
  width: 100%;
  position: relative;
  padding: 10px 15px 5px 15px;
}

.article-come {
  position: relative;
  box-sizing: border-box;
  background-color: #151515;
  color: white;
  padding: 10px 10px 25px 10px;
  margin: 10px 15px;
}

.article-come h3 {
  font-family: "Big Shoulders", sans-serif;
  font-size: 50px;
  font-weight: 900;
  line-height: 0.9;
  width: 90%;
  padding: 15px;
  margin-top: 30px;
}

.article-come p {
  color: white;
  width: 80%;
  padding: 20px 10px 0px 15px;
  font-size: 28px;
  line-height: 1.5;
  font-weight: 200;
  font-family: "Outfit", sans-serif;
}

.footer-home {
  position: relative;
  box-sizing: border-box;
  background-color: #151515;
  color: white;
  padding: 15px;
  margin-top: 120px;
  padding-top: 30px;
}

h4 {
  font-family: "Big Shoulders", sans-serif;
  font-size: 24px;
  font-weight: 900;
  line-height: 0.9;
  width: 45%;
  padding: 15px;
}

.span-h4 {
  display: block;
}

.footer-home p {
  font-family: "Outfit", sans-serif;
  font-size: 17px;
  font-weight: 200;
  padding: 15px;
  line-height: 1.5;
} 

.footer-home div {
  display: flex;
  flex-direction: row;
  align-items: left;
  width: fit-content;
  margin-left: 15px;
  margin-top: 15px;
  gap: 20px;
  padding-bottom: 20px;
}

.boton-back-to-home {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
}

.back-to-home {
  position: relative;
  display: flex;
  text-decoration: none;
  background-color: #151515;
  color: white;
  align-items: center;
  width: fit-content;
  padding-right: 15px;
  z-index: 1;
}

.back-to-home-p {
  font-size: 20px;
  font-weight: 500;
  font-family: "Big Shoulders", sans-serif;
  white-space: nowrap;
  letter-spacing: 4px;
  padding: 20px 20px 20px 30px;
  text-align: center;
  z-index: 1;
}

.flecha-izq {
  text-decoration: none;
  background-color: #D5966C;
  color: white;
  padding: 22px;
  align-items: center;
  justify-content: center;
  object-fit: contain;
  z-index: 1;
}

.maps-container {
  width: 100%;
  overflow: hidden;
}

.maps {
  display: relative;
  width: 340%;
  max-width: none;
  object-fit: cover;
  object-position: center;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}

header {
  position: relative;
  width: 100%;
  box-sizing: border-box;
  background-color: #151515;
  color: white;
  padding-top: 20px;
  padding-bottom: 30px;
}

header h1 {
  font-family: "Big Shoulders", sans-serif;
  font-size: 52px;
  padding-top: 40px;
  object-fit: cover;
  width: fit-content;
}

header h2 {
  font-family: "Big Shoulders", sans-serif;
  font-size: 30px;
  padding-top: 40px;
  object-fit: cover;
  width: fit-content;
  color: #D5966C;
}

ul {
  list-style: none;
  margin-left: 15px;
  font-family: "Outfit", sans-serif;
  font-size: 18px;
  font-weight: 200;
  line-height: 1.6;
  padding-top: 10px;
}

footer {
  position: relative;
  box-sizing: border-box;
  background-color: #D5966C;
  color: black;
  padding-left: 15px;
  padding-top: 30px;
}

footer h3 {
  font-family: "Big Shoulders", sans-serif;
  font-size: 22px;
  font-weight: 900;
  line-height: 0.9;
  width: 60%;
  padding: 15px;
  padding-bottom: 25px;
}

.span-h3-footer {
  display: block;
}

footer p {
  font-family: "Outfit", sans-serif;
  font-size: 17px;
  font-weight: 300;
  padding: 15px;
  line-height: 1.6;
  max-width: 95%;
  padding-top: 10px;
}

footer div {
  display: flex;
  flex-direction: row;
  align-items: left;
  width: fit-content;
  margin-left: 15px;
  margin-top: 15px;
  gap: 20px;
  padding-bottom: 40px;
  padding-top: 10px;
}

@media (min-width: 640px) and (max-width: 1023px) {
  .header-home {
    display: grid;
    grid-template-columns: 1fr 1fr ;
    grid-template-rows: 1fr 1fr 1fr;
    position: relative;
    width: 100%;
    height: 900px;
    z-index: 0;
  }

  .container-cuadro-mujer {
    z-index: -1;
    grid-column: 1 / 3;
    grid-row: 1 / span 3;
  }

  .cuadro-mujer-grande {
    display: block;
    width: 100%;
    position: relative;
    top: 0;
    left: 0;
    max-width: 550px;
    max-height: 800px;
    overflow: cover;
  }

  .cuadro-mujer {
    display: none;
  }
  
  .container-h1 {
    grid-column: 2 / 2;
    grid-row: 1 / 3;
    margin-top: 50px;
    max-width: 119%;
  }

  .container-h1 h1 {
    font-size: 80px;
    width: 90%;
    padding-top: 80px;
    padding-left: 30px;
    z-index: 2;
  }

  .container-p-header {
    grid-column: 2 / 2;
    grid-row: 2 / 3;
    padding: 20px;
    z-index: 2;
    color: black;
    max-height: 60%;
  }
  
  .container-p-header p {
    font-family: "Outfit", sans-serif;
    font-size: 20px;
    font-weight: 300;
    width: 90%;
    padding-top: 80px;
    line-height: 1.4;
    color: #333;
  }

  .container-boton-ol {
    grid-column: 2 / 2;
    grid-row: 3 / 3;
    display: flex;
    align-items: center;
    padding: 0px 30px;
    z-index: 2;
    width: fit-content;
    position: absolute;
    
  }
  .boton-our-location {
    background-color: #151515;
  }

  .our-location {
    margin: 0px;
    background-color: #151515;
  }

  .our-location p {
    font-size: 25px;
  }

  .flecha-der {
    align-items: center;
    justify-content: center;
    object-fit: contain;
    z-index: 1;
    padding: 30px;
  }

  .gallery-section {
    display: grid;
    position: relative;
    grid-template-columns: repeat(10, 1fr);
    grid-template-rows: auto auto auto;
    background-color: white;
    gap: 10px;
    margin: 100px 100px 50px 50px;
    box-sizing: border-box;
    width: auto;
  }

  .container-h2-p {
    grid-column: 1 / 5;
    grid-row: 1 / 3;
    max-width: 75%;
    max-height: 100%;
    width: 75%;
    height: 100%;
    overflow: fit-content;
    box-sizing: border-box;
    margin-bottom: 40px;
  }
  
  .gallery-section h2 {
    font-size: 40px;
    width: 100%;
    line-height: 1;
    color: black;
  }

  .span-h2 {
    display: inline;
    font-size: inherit;
    font-weight: inherit;
    font-size: 40px;
  }

  .gallery-section .container-h2-p p {
    font-family: "Outfit", sans-serif;
    font-size: 18px;
    font-weight: 300;
    width: 140%;
    line-height: 1.3;
    overflow: fit-content;
  }

  .container-galeria1 {
    display: flex;
    grid-column: 5 / 10;
    grid-row: 1 / 2;
    /* height: 550px; */
    max-width: 106%;
    height: 100%;
    width: 110%;
    overflow: auto; 
  }

  .galeria1-pc {
    width: 100%;
    max-width: 100%;
    height: 300px;
    display: block;
    overflow: hidden;
  }

  .galeria1 {
    display: none;
  }

  .gallery-cuadro {
    max-width: 100%;
    display: block;
    grid-column: 1 / 6;
    grid-row: 2 / span 3;
    height: 100%;
    overflow: hidden;
    justify-content: center;
  }

  .cuadro-banco {
    display: flex;
    padding: 0;
    width: 100%;
    object-fit: cover; 
    height: 100%;
  }

  .cuadro {
    display: none;
  }

  .gallery-galeria2 {
    display: block;
    grid-column: 6 / 10;
    grid-row: 2 / 3;
    width: 100%;
    max-width: 100%;
  }

  .galeria2 {
    padding: 0;
    width: 110%;
    height: 100%;
    object-fit: cover; 
  }

  .article-come {
    grid-column: 6 / 10;
    grid-row: 3 / 3;
    position: relative;
    box-sizing: border-box;
    background-color: #151515;
    height: 450px;
    width: 110%;
    object-fit: cover;
    margin: 0;
  }

  .article-come h3 {
    font-size: 50px;
    width: 100%;
    padding: 80px 20px 20px 20px;
    margin-top: 0;
  }

  .article-come p {
    color: white;
    width: 100%;
    padding: 40px 20px 0px 25px;
    font-size: 20px;
    line-height: 1.5;
    font-weight: 200;
    font-family: "Outfit", sans-serif;
  }

  .boton-back-to-home {
    padding-left: 50px;
  }

  .maps-container {
    width: 100%;
    overflow: hidden;
  }
  .maps {
    display: relative;
    width: 100%;
    max-width: 100%;
    object-fit: fit-content;
    object-position: center;
    position: relative;
    overflow: hidden;
  }

  header {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    height: 500px;
    padding-bottom: 600px;
    padding-top: 100px;
  }

  header h1 {
    font-size: 70px;
    width: 30%;
    grid-column: 1 / 2;
    grid-row: 1 / span 2;
    margin-left: 30px;
    line-height: 1;
  }
  
  header h2 {
    font-size: 35px;
    color: #D5966C;
    grid-column: 2 / 2;
    grid-row: 1 / 2;
    height: 30%;
  }

  header ul {
    grid-column: 2 / 2;
    grid-row: 2 / 3;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 20px;
  }

  header p {
    grid-column: 2 / 2;
    grid-row: 3 / 3;
    font-size: 20px;
    width: 95%;
  }

  .footer-location {
    display: flex;
    padding: 50px;
    justify-content: space-evenly;
  }

  .footer-location h3 {
    font-size: 28px;
    width: 300px;
  }

  .footer-location p {
    font-size: 18px;
    width: 630px;
    padding-top: 20px;
  }

  .footer-location div {
    margin-top: 30px;
    gap: 30px;
    padding-bottom: 0;
  }
}

@media (min-width: 1024px) {
  .header-home {
    display: grid;
    position: relative;
    height: 900px;
    grid-template-columns: repeat(10, 1fr);
    grid-template-rows: auto auto;
    background-color: white;
    margin-bottom: 250px;
  }

  .container-h1 {
    grid-column: 1 / 4;
    grid-row: 1 / span 2;
    background-color: #151515;
    z-index: 2;
  }

 .container-h1 h1 {
    display: flex;
    grid-column: 1 / 5;
    grid-row: 1 / 2;
    color: #fff;
    font-size: 120px;
    width: 138%;
    line-height: 0.95;
    padding-top: 220px;
    padding-left: 210px;
    overflow: visible;
  }

  .container-cuadro-mujer {
    width: 100%;
    height: 100%;
    grid-column: 4 / 8;
    grid-row: 1 / span 2;
    z-index: 1;
    overflow: hidden;
  }

  .cuadro-mujer {
    display: none;
  }

  .cuadro-mujer-grande {
    display: block;
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 100%;
    z-index: 1;
  }

  .container-p-header {
    grid-column: 7 / 10;
    grid-row: 1 / 2;
    padding: 40px;
    z-index: 2;
    color: #333;
    max-height: 60%;
  }

  .container-p-header p {
    font-family: "Outfit", sans-serif;
    font-size: 27px;
    font-weight: 300;
    width: 110%;
    padding: 200px 55px;
    line-height: 1.4;
    color: #333;
  }

  .container-boton-ol {
    grid-column: 7 / 10;
    grid-row: 1 / 2;
    display: flex;
    align-items: center;
    padding: 470px 55px;
    z-index: 2;
    width: fit-content;
  }

  .our-location {
    padding: 0px;
    margin: 16px 0px 16px 30px;
    background-color: #151515;
  }

  .our-location-p {
    padding: 10px;
    margin: 14px 26px;
    font-size: 25px;
  }

  .boton-our-location {
    grid-column: 8 / 11;
    grid-row: 2 / 2;
    display: flex;
    color: white;
    text-decoration: none;
    font-weight: bold;
  }

  .flecha-der {
    padding: 30px 30px;
    align-items: center;
    justify-content: center;
    object-fit: contain;
    z-index: 1;
  }

  .gallery-section {
    display: grid;
    position: relative;
    grid-template-columns: repeat(10, 1fr);
    grid-template-rows: auto auto auto;
    background-color: white;
    gap: 40px;
    margin: 300px 150px 150px 150px;
    box-sizing: border-box;
    width: auto;
  }

  .gallery-section h2 {
    font-size: 70px;
    width: 90%;
    line-height: 1;
    color: black;
  }

  .container-h2-p {
    grid-column: 1 / 4;
    grid-row: 1 / 3;
    color: #333;
    font-size: 80px;
    width: 500px;
    line-height: 0.95;
    padding-top: 50px;
    padding-left: 20px;
    white-space: normal;
    font-weight: 800px;
  }

  .span-h2 {
    display: inline;
    font-size: inherit;
    font-weight: inherit;
    font-size: 70px;
  }

  .gallery-section .container-h2-p p {
    font-family: "Outfit", sans-serif;
    font-size: 25px;
    font-weight: 300;
    width: 82%;
    padding-left: 20px;
    line-height: 1.5;
  }

  .container-galeria1 {
    display: flex;
    grid-column: 4 / 10;
    grid-row: 1 / 2;
    /* height: 550px; */
    max-width: 106%;
    height: 100%;
    width: 110%;
    overflow: hidden; 
  }

  .galeria1-pc {
    padding: 0;
    width: 110%;
    max-width: 100%;
    height: 100%;
    display: block;
  }

  .galeria1 {
    display: none;
  }

  .gallery-cuadro {
    max-width: 100%;
    display: block;
    grid-column: 1 / 6;
    grid-row: 2 / span 3;
    height: 110%;
  }

  .cuadro-banco {
    display: flex;
    padding: 0;
    width: 100%;
    object-fit: cover; 
    height: 90%;
  }

  .cuadro {
    display: none;
  }

  .gallery-galeria2 {
    display: block;
    grid-column: 6 / 10;
    grid-row: 2 / 3;
    width: 110%;
    max-width: 110%;   /* Limita el ancho máximo si lo deseas */
    height: 500px;    
  }

  .galeria2 {
    padding: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; 
  }

  .article-come {
    grid-column: 6 / 10;
    grid-row: 3 / 4;
    position: relative;
    box-sizing: border-box;
    background-color: #151515;
    height: 500px;
    width: 110%;
    object-fit: cover;
    margin: 0;
    padding: 0;
  }

  .article-come h3 {
    font-size: 80px;
    width: 70%;
    padding: 100px 20px 20px 50px;
    margin-top: 0;
  }

  .article-come p {
    color: white;
    width: 80%;
    padding: 40px 20px 0px 25px;
    margin: 0 0 0 25px;
    font-size: 28px;
    line-height: 1.5;
    font-weight: 200;
    font-family: "Outfit", sans-serif;
  }

  .footer-home {
    display: flex;
    position: relative;
    padding: 100px;
    justify-content: space-evenly;
  }

  .footer-home h4 {
    font-size: 55px;
    width: 300px;
  }

  .footer-home p {
    font-size: 25px;
    width: 630px;
    padding-top: 20px;
  }

  .footer-home div {
    margin-top: 30px;
    gap: 30px;
    padding-bottom: 0;
  }

  .boton-back-to-home {
    padding-left: 200px;
  }

  .maps {
    display: relative;
    width: 340%;
    max-width: 100%;
    object-fit: cover;
    object-position: center;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
  }

  header {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    height: 600px;
    padding: 30px;
    padding-bottom: 600px;
    padding-top: 100px;
  }

  header h1 {
    font-size: 90px;
    padding-top: 100px;
    width: 20%;
    grid-column: 1 / 2;
    grid-row: 1 / span 2;
    margin-left: 100px;
    line-height: 1;
  }
  
  header h2 {
    font-size: 45px;
    color: #D5966C;
    grid-column: 2 / 2;
    grid-row: 1 / 2;
    height: 30%;
  }

  header ul {
    grid-column: 2 / 2;
    grid-row: 2 / 3;
    font-size: 30px;
    line-height: 1.4;
    margin-bottom: 20px;
  }

  header p {
    grid-column: 2 / 2;
    grid-row: 3 / 3;
    font-size: 30px;
    width: 82%;
  }

  .footer-location {
    display: flex;
    padding: 100px;
    justify-content: space-evenly;
  }

  .footer-location h3 {
    font-size: 55px;
    width: 300px;
  }

  .footer-location p {
    font-size: 25px;
    width: 630px;
    padding-top: 20px;
  }

  .footer-location div {
    margin-top: 30px;
    gap: 30px;
    padding-bottom: 0;
  }
}